Name: finger
Version: 0.17
Release: ipl4mdk

Summary: The %name client
License: BSD
Group: Networking/Other
Url: ftp://ibiblio.org/pub/Linux/system/network/%name

Source: %url/bsd-%name-%version.tar.bz2
Source1: %name.xinetd

Patch1: bsd-%name-0.16-pts.patch
Patch2: bsd-%name-0.16-allocbroken.patch
Patch3: bsd-%name-0.17-rfc742.patch
Patch4: bsd-%name-0.17-time.patch

%package server
Summary: The %name daemon
Group: System/Servers

%description
Finger is a utility which allows users to see information about system
users (login name, home directory, name, how long they've been logged
in to the system, etc.).  The %name package includes a standard
%name client.

You should install %name if you'd like to retreive %name information
from other systems.

%description server
Finger is a utility which allows users to see information about system
users (login name, home directory, name, how long they've been logged
in to the system, etc.).  The %name-server package includes a standard
%name server. The server daemon (%{name}d) usually runs from
%_sysconfdir/xinetd.d/%name.

You should install %name-server if your system is used by multiple users
and you'd like %name information to be available.

%prep
%setup -q -n bsd-%name-%version
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
sh configure
perl -pi -e '
    s,^CC=.*$,CC=cc,;
    s,-O2,\$(RPM_OPT_FLAGS),;
    s,^BINDIR=.*$,BINDIR=%_bindir,;
    s,^MANDIR=.*$,MANDIR=%_mandir,;
    s,^SBINDIR=.*$,SBINDIR=%_sbindir,;
    ' MCONFIG
%make_build

%install
mkdir -p $RPM_BUILD_ROOT/{%_bindir,%_sbindir,%_mandir/man{1,8}}
install -D -m640 %SOURCE1 $RPM_BUILD_ROOT%_sysconfdir/xinetd.d/%name
%make_install install INSTALLROOT=$RPM_BUILD_ROOT

%files
%attr(711,root,root) %_bindir/*
%_mandir/man1/*

%files server
%config(noreplace) %_sysconfdir/xinetd.d/%name
%attr(711,root,root) %_sbindir/*
%_mandir/man8/*

%changelog
* Fri Sep 27 2002 Rider <rider@altlinux.ru> 0.17-ipl4mdk
- rebuild

* Sat Feb 24 2001 Dmitry V. Levin <ldv@fandra.org> 0.17-ipl3mdk
- Fixed build with glibc-2.2.2

* Wed Jan 17 2001 Dmitry V. Levin <ldv@fandra.org> 0.17-ipl2mdk
- RE adaptions.

* Sat Sep 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.17-2mdk
- Re
- Add xinetd support.
- Merge with rh patches.

* Fri Aug 04 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.17-1mdk
- rebuild with new version
- use sbindir macro

* Fri Jul 21 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.16-2mdk
- BM, macros
- bzip2 source

* Sun Apr 02 2000 Jerome Martin <jerome@mandrakesoft.com> 0.16-1mdk
- Updates to version 0.16
- specfile cleanup
- groups and spec-helper
- splited into server and client packages

* Tue Jul 06 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build for new environement (Rel: 27mdk).

* Thu Apr  8 1999 Jeff Johnson <jbj@redhat.com>
- fix process table filled DOS attack (#1271)
- fix pts display problems (#1987 partially)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 22)

* Mon Mar 15 1999 Jeff Johnson <jbj@redhat.com>
- compile for 6.0.

* Wed Aug 12 1998 Jeff Johnson <jbj@redhat.com>
- fix error message typo.

* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Sep 22 1997 Erik Troan <ewt@redhat.com>
- added check for getpwnam() failure

